net.minecraft.entity

## Class EntityLeashKnot

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.EntityHanging
    - - net.minecraft.entity.EntityLeashKnot

-     public class EntityLeashKnot
      extends EntityHanging

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.entity.Entity

      `Entity.EnumEntitySize`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.entity.EntityHanging

      `field_146062_d, field_146063_b, field_146064_c, hangingDirection`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dataWatcher, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityUniqueID, extendedProperties, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, inPortal, inWater, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, isImmuneToFire, isInWeb, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, portalCounter, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, rand, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, teleportDirection, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityLeashKnot(World par1World)`
    `EntityLeashKnot(World par1World, int par2, int par3, int par4)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `entityInit()`
    `static EntityLeashKnot` | `func_110129_a(World par0World, int par1, int par2, int par3)`
    `int` | `getHeightPixels()`
    `static EntityLeashKnot` | `getKnotForBlock(World par0World, int par1, int par2, int par3)`
    `int` | `getWidthPixels()`
    `boolean` | `interactFirst(EntityPlayer par1EntityPlayer)`
    `boolean` | `isInRangeToRenderDist(double par1)`
    `void` | `onBroken(Entity par1Entity)`
    `boolean` | `onValidSurface()`
    `void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)`
    `void` | `setDirection(int par1)`
    `void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)`
    `boolean` | `writeToNBTOptional(NBTTagCompound par1NBTTagCompound)`

    - ### Methods inherited from class net.minecraft.entity.EntityHanging

      `addVelocity, attackEntityFrom, canBeCollidedWith, func_145781_i, hitByEntity, moveEntity, onUpdate, shouldSetPosAfterLoading`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addToPlayerScore, applyEntityCollision, canAttackWithItem, canBePushed, canRenderOnFire, canRiderInteract, canTriggerWalking, copyDataFrom, copyLocationAndAnglesFrom, dealFireDamage, doesEntityNotTriggerPressurePlate, dropItem, entityDropItem, equals, extinguish, fall, func_145748_c_, func_145771_j, func_145772_a, func_145774_a, func_145775_I, func_145778_a, func_145780_a, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getCommandSenderName, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityId, getEntityString, getExtendedProperties, getEyeHeight, getFlag, getLastActiveItems, getLookVec, getMaxInPortalTime, getMaxSafePointTries, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getRotationYawHead, getShadowSize, getSplashSound, getSwimSound, getTeleportDirection, getUniqueID, getYOffset, handleHealthUpdate, handleLavaMovement, handleWaterMovement, hashCode, isBurning, isCreatureType, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRender3d, isInsideOfMaterial, isInvisible, isInvisibleToPlayer, isInWater, isOffsetPositionInLiquid, isPushedByWater, isRiding, isSneaking, isSprinting, isWet, kill, mountEntity, moveFlying, newDoubleNBTList, newFloatNBTList, onChunkLoad, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, performHurtAnimation, playSound, preparePlayerToSpawn, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setBeenAttacked, setCurrentItemOrArmor, setDead, setEating, setEntityId, setFire, setFlag, setInPortal, setInvisible, setInWeb, setLocationAndAngles, setOnFireFromLava, setPosition, setPositionAndRotation, setPositionAndRotation2, setRotation, setRotationYawHead, setSize, setSneaking, setSprinting, setVelocity, setWorld, shouldDismountInWater, shouldRenderInPass, shouldRiderSit, toString, travelToDimension, updateFallState, updateRidden, updateRiderPosition, writeMountToNBT, writeToNBT`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EntityLeashKnot

          public EntityLeashKnot(World par1World)

    - #### EntityLeashKnot

          public EntityLeashKnot(World par1World,
                         int par2,
                         int par3,
                         int par4)

  - ### Method Detail

    - #### entityInit

          protected void entityInit()

      Overrides:
        `entityInit` in class `EntityHanging`

    - #### setDirection

          public void setDirection(int par1)

      Overrides:
        `setDirection` in class `EntityHanging`

    - #### getWidthPixels

          public int getWidthPixels()

      Specified by:
        `getWidthPixels` in class `EntityHanging`

    - #### getHeightPixels

          public int getHeightPixels()

      Specified by:
        `getHeightPixels` in class `EntityHanging`

    - #### isInRangeToRenderDist

          public boolean isInRangeToRenderDist(double par1)

      Overrides:
        `isInRangeToRenderDist` in class `Entity`

    - #### onBroken

          public void onBroken(Entity par1Entity)

      Specified by:
        `onBroken` in class `EntityHanging`

    - #### writeToNBTOptional

          public boolean writeToNBTOptional(NBTTagCompound par1NBTTagCompound)

      Overrides:
        `writeToNBTOptional` in class `Entity`

    - #### writeEntityToNBT

          public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

      Overrides:
        `writeEntityToNBT` in class `EntityHanging`

    - #### readEntityFromNBT

          public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

      Overrides:
        `readEntityFromNBT` in class `EntityHanging`

    - #### interactFirst

          public boolean interactFirst(EntityPlayer par1EntityPlayer)

      Overrides:
        `interactFirst` in class `Entity`

    - #### onValidSurface

          public boolean onValidSurface()

      Overrides:
        `onValidSurface` in class `EntityHanging`

    - #### func_110129_a

          public static EntityLeashKnot func_110129_a(World par0World,
                                      int par1,
                                      int par2,
                                      int par3)

    - #### getKnotForBlock

          public static EntityLeashKnot getKnotForBlock(World par0World,
                                        int par1,
                                        int par2,
                                        int par3)